Re: Reg SSL Problem - Openssl

This is a discussion on Re: Reg SSL Problem - Openssl ; parvathy wrote: > I am working with openssl 0.9.8g. I can able to > communicate with all https servers except one server. Try openssl s_client -bugs -state -debug -connect hostname ort on an unchanged OpenSSL build and send that output. ...

+ Reply to Thread
Results 1 to 3 of 3

Thread: Re: Reg SSL Problem

  1. Re: Reg SSL Problem

    parvathy wrote:
    > I am working with openssl 0.9.8g. I can able to
    > communicate with all https servers except one server.


    Try
    openssl s_client -bugs -state -debug -connect hostnameort

    on an unchanged OpenSSL build and send that output.

    If you are required to provide a client certificate for the connection thenadd
    in the -cert arg too.

    Tim.

    -----BEGIN PGP SIGNATURE-----
    Version: PGP Desktop 9.9.0 (Build 397)

    iQEVAwUBSMmIW9KL2dwk7eD9AQgd6wf/b3kHrfdUtcpTrD3lN407Fr4ndYvxRtos
    ZvS7l5YxX3Sqsjo5avuJzwkXZHQHQ/5H0yl/OSiqt0VmHKIsY9JXAEICGKEnFI1W
    uzlmeJjiS974iPyVa50nEtkywtIXy0w2MO6pnXGQEVFx/GJi9xCiBCCMN7ayitT0
    EzxURDkZHAiId1/m8bEClhoJKTdXnhuVlrMgdWD9ym/bPXsKloU5UiidalignGpV
    pLPlKRVZq5XMpu7obOPY4bX5HyXygsrnrXKOVhZ2g15WoLBKkV W2ecShJEwxdu68
    pFcBu2KulJ2J/hj8RA7v9sV3Na7fZLD/khcj66U7OIXP7It0DIWEaQ==
    =nBa3
    -----END PGP SIGNATURE-----


  2. Re: Question about compatibility

    On Fri, Sep 12, 2008, Chin, Andrew wrote:

    > To all:
    >
    > I am fairly new at participating in a mailing list so I apologize if I'm
    > doing anything out of place. I don't have that much knowledge in
    > openSSL, either. But what I was hoping to have answered is:
    >
    > OpenSSL produces S-MIME version 2 and BouncyCastle results in S-MIME
    > version 3, which will result in compatibility issues. I was wondering,
    > if anyone knows of a work around to this problem or if BouncyCastle can
    > convert to version 2. BouncyCastle says they can produce version 2
    > however to no avail was I able to produce a version 2.
    >
    > Like I said, I am fairly new at this and so if this is too concise or
    > it's unclear, I apologize but I would really appreciate any feedbacks.


    Most S/MIME v3 messages are compatible with v2 so you may not have an
    problems.

    OpenSSL has recently added support for S/MIME v3 aka CMS. You can either use
    the 0.9.9 development version or a recent 0.9.8 snapshot with the "enable-cms"
    configure option.

    Steve.
    --
    Dr Stephen N. Henson. Email, S/MIME and PGP keys: see homepage
    OpenSSL project core developer and freelance consultant.
    Homepage: http://www.drh-consultancy.demon.co.uk
    __________________________________________________ ____________________
    OpenSSL Project http://www.openssl.org
    User Support Mailing List openssl-users@openssl.org
    Automated List Manager majordomo@openssl.org


  3. Question about compatibility

    To all:

    I am fairly new at participating in a mailing list so I apologize if I'm
    doing anything out of place. I don't have that much knowledge in
    openSSL, either. But what I was hoping to have answered is:

    OpenSSL produces S-MIME version 2 and BouncyCastle results in S-MIME
    version 3, which will result in compatibility issues. I was wondering,
    if anyone knows of a work around to this problem or if BouncyCastle can
    convert to version 2. BouncyCastle says they can produce version 2
    however to no avail was I able to produce a version 2.

    Like I said, I am fairly new at this and so if this is too concise or
    it's unclear, I apologize but I would really appreciate any feedbacks.
    Thank you.
    __________________________________________________ ____________________
    OpenSSL Project http://www.openssl.org
    User Support Mailing List openssl-users@openssl.org
    Automated List Manager majordomo@openssl.org


+ Reply to Thread